# v1.3.0 (Optimisations back-end)
### Note: Cette mise à jour n'est pas compatible avec les anciennes versions.
### Corrections
* Réusinage des modèles. (Empêche la compatibilité avec les anciennes versions)

# v1.2.0 (Imprimante P-touch)
### Corrections
* Correction d'un bug qui empêchait la suppression des mélanges.
* Correction d'un bug qui empêche les boutons supprimer de fonctionner.
* Correction d'un bug qui permettait d'envoyer les formulaires demandant des mots de passe sans donner un mot de passe valide.
* Correction d'une désynchronisation entre le nom des mélanges et leur produit interne.
* Amélioration du style.
* Amélioration de la fluidité de la navigation.
* Transition complète des modèles vers Lombok.

### Ajouts
* Ajout du support pour l'imprimante P-touch de Brother.
  * L'extension b-Pac doit être installée sur le navigateur des clients.
    * [Firefox](https://cre.fyloz.dev/bpac.xpi)
    * [Chrome](https://chrome.google.com/webstore/detail/brother-b-pac-extension/ilpghlfadkjifilabejhhijpfphfcfhb)
  * Le logiciel b-Pac doit être installé sur l'ordinateur des clients.
    * [Windows](https://download.brother.com/welcome/dlfp100614/bcciw32031.msi)
* Ajout de la possibilité d'imprimer les mélanges avec P-Touch
* Ajout de la possibilité d'imprimer les étiquettes de kit de retouche avec P-Touch
* Ajout des boîtes de confirmation.
* Ajout d'un type de produit aux mélanges.
* Ajout du changement d'ordre des produits d'un mélange.
* Les produits dans l'inventaire sont maintenant ordonnés alphabétiquement.

### Dépendances
* Ajout de jQuery, début de la transition.
* Migration vers Java 11

# v1.1.3
### Corrections
* Correction de fautes de syntaxe.
* Correction d'un bug qui empêchait d'utiliser une recette.

### Ajouts
* Traduction complète de l'application.
* Amélioration des recherches.
* Ajout d'une confirmation avant l'utilisation d'un mélange ou d'une recette.
* Le nom des mélanges peut maintenant être modifié.
* Le bouton retour envoie maintenant vers la dernière page visitée.

# v1.1.2
### Corrections
* Amélioration du style du site.
* Correction d'un bug qui permettait de supprimer des images sans mot de passe.

### Ajouts
* Il n'est plus possible de modifier la quantité des produits utilisant les pourcentages dans l'explorateur de recette.
* La quantité initiale d'un produit peut maintenant être cachée dans l'explorateur de recette. 
* La quantité minimum d'un produit dans un mélange est maintenant de 0.001.
* La quantité de chaque produit d'un mélange peut maintenant être calculée depuis la quantitée totale du mélange.
* Ajout de boîtes de notification améliorées.

# v1.1.1
### Corrections
* Désactivation de l'autocomplétion dans les étapes des recettes (permet d'éviter un bug qui affiche les suggestion par dessus toutes les étapes sur Edge)
* Correction d'un bug qui permettait d'envoyer les formulaires demandant des mots de passe sans donner un mot de passe valide.
* Amélioration des contrôlleurs et du service des mélanges.
* Correction d'un bug avec la création des mélanges.

### Ajouts
* L'onglet se ferme automatiquement lorsqu'un utilisateur tente d'accéder à un fichier SIMDUT inexistant.
* Meilleure sélection des produits dans l'éditeur de mélange.
* Retravail de l'affichage de la plupart des tables, les rendant moins chargées.
* Retravail de l'affichage des étapes et des images dans l'explorateur et l'éditeur de recette.
* Ajout de la page de l'historique des mises à jour.
* Ajout de la journalisation.

### Dépendances
* Ajout de Lombok
