package dev.fyloz.trial.colorrecipesexplorer.core.services.model;

import dev.fyloz.trial.colorrecipesexplorer.core.model.Material;
import dev.fyloz.trial.colorrecipesexplorer.core.model.MixQuantity;
import dev.fyloz.trial.colorrecipesexplorer.core.services.GenericService;
import dev.fyloz.trial.colorrecipesexplorer.dao.MixQuantityDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class MixQuantityService extends GenericService<MixQuantity, MixQuantityDao> {

    @Autowired
    public MixQuantityService(MixQuantityDao mixQuantityDao) {
        super(mixQuantityDao, MixQuantity.class);
    }

    public boolean existsByMaterial(Material material) {
        return dao.existsByMaterial(material);
    }
}
